﻿using Microsoft.Practices.Prism.StoreApps;
using SfDataGridPrismTest.ViewModels;
using SfDataGridPrismTest.Views;
using System.Threading.Tasks;
using Windows.ApplicationModel.Activation;

namespace SfDataGridPrismTest
{
    /// <summary>
    /// Provides application-specific behavior to supplement the default Application class.
    /// </summary>
    sealed partial class App : MvvmAppBase
    {
        public App()
        {
            this.InitializeComponent();
        }

        protected override Task OnLaunchApplication(LaunchActivatedEventArgs args)
        {
            NavigationService.Navigate("Main", null);
            return Task.FromResult<object>(null);
        }

        protected override void OnInitialize(IActivatedEventArgs args)
        {
            ViewModelLocator.Register(typeof(MainPage).ToString(), () => new MainPageViewModel(NavigationService));
        }
    }
}
